Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IExpressionButton

public interface IExpressionButton
A utility class to display Expression builder and button

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.swt.widgets.Listener listener)`
Adds a listener, which will be notified with a SWT.Mofigy event if the expression text has changed.
`String`
`getDisplayExpression()`
Returns the display string in expression builder.
`String`
`getExpression()`
Returns the expression that's saved in model
`String`
`getExpressionType()`
Returns the type of the expression.
`boolean`
`isCube()`
Returns whether the chart is using a cube.
`boolean`
`isEnabled()`
Returns the enabled state
`void`
`setAccessor(org.eclipse.birt.chart.ui.util.ChartUIUtil.EAttributeAccessor<String> accessor)`
Sets the accessor, with which the expression will be load from and save to.
`void`
`setAssitField(IAssistField assistField)`
Set the AssistField.
`void`
`setBindingName(String bindingName, boolean bNotifyEvents)`
Sets the expression to a binding expression created with the given binding name and the current expression type.
`void`
`setEnabled(boolean bEnabled)`
Sets the enabled state
`void`
`setExpression(String expr)`
Sets the expression that's saved in model, no notifications will be sent.
`void`
`setExpression(String expr, boolean bNotifyEvents)`
Sets the expression that's saved in model
`void`
`setPredefinedQuery(Object[] predefinedQuery)`

## Method Details

### getExpression

String getExpression()
Returns the expression that's saved in model

Returns:
  the expression that's saved in model

### setBindingName

void setBindingName(String bindingName, boolean bNotifyEvents)
Sets the expression to a binding expression created with the given binding name and the current expression type.

Parameters:
  `bindingName` - the binding name
  `bNotifyEvents` - indicates whether the listeners needed to notified.

### setExpression

void setExpression(String expr)
Sets the expression that's saved in model, no notifications will be sent.

Parameters:
  `expr` - the expression that's saved in model

### setExpression

void setExpression(String expr, boolean bNotifyEvents)
Sets the expression that's saved in model

Parameters:
  `expr` - the expression that's saved in model
  `bNotifyEvents` - indicates whether the listeners needed to notified.

### getDisplayExpression

String getDisplayExpression()
Returns the display string in expression builder. This may be different from the value saved in model.

Returns:
  the display string in expression builder

### setEnabled

void setEnabled(boolean bEnabled)
Sets the enabled state

Parameters:
  `bEnabled` - enabled state

### isEnabled

boolean isEnabled()
Returns the enabled state

Returns:
  the enabled state

### addListener

void addListener(org.eclipse.swt.widgets.Listener listener)
Adds a listener, which will be notified with a SWT.Mofigy event if the expression text has changed.

Parameters:
  `listener` -

### setAccessor

void setAccessor(org.eclipse.birt.chart.ui.util.ChartUIUtil.EAttributeAccessor<String> accessor)
Sets the accessor, with which the expression will be load from and save to.

Parameters:
  `accessor` -

### getExpressionType

String getExpressionType()
Returns the type of the expression.

Returns:
  The the type of the expression.

### isCube

boolean isCube()
Returns whether the chart is using a cube.

Returns:
  Whether the chart is using a cube.

### setAssitField

void setAssitField(IAssistField assistField)
Set the AssistField.

Parameters:
  `assistField` -

### setPredefinedQuery

void setPredefinedQuery(Object[] predefinedQuery)

Parameters:
  `predefinedQuery` -